package com.gxzc.zen.api.sys.service

import com.gxzc.zen.api.sys.model.SysResourceRole
import com.gxzc.zen.common.base.BaseService

/**
 * <p>
 * 资源角色表(授权表) 服务类
 * </p>
 *
 * @author NorthLan
 * @since 2018-04-28
 */
interface ISysResourceRoleService : BaseService<SysResourceRole> {
    fun saveResourceRoleByRoleId(roleId: Long, menuId: Long, resList: List<Long>)

    fun physicalDeleteByResourceId(resId: Long)
}
