package com.gxzc.zen.web.sys.controller

import com.baomidou.mybatisplus.mapper.EntityWrapper
import com.baomidou.mybatisplus.plugins.Page
import com.gxzc.zen.api.sys.model.SysDictValue
import com.gxzc.zen.api.sys.service.ISysDictValueService
import com.gxzc.zen.common.base.BaseController
import com.gxzc.zen.common.dto.ResponseDto
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController

/**
 *
 * @author NorthLan
 * @date 2018/6/2
 * @url https://noahlan.com
 */
@RestController
@RequestMapping("api")
class ApiController : BaseController() {
    @Autowired
    private lateinit var dictValueService: ISysDictValueService


    @GetMapping("test")
    fun get(): ResponseEntity<*> {
        return ResponseEntity.ok(ResponseDto().apply {
            val a = Page<SysDictValue>().apply {
                this.size = 30
                this.current = 1
            }
            val ret = dictValueService.selectPage(a, EntityWrapper<SysDictValue>())
            data = ret
        })
    }
}